import { ReadFileFunction } from '../../functions/ReadFile.js';
import { WriteFileFunction } from '../../functions/index.js';
import { prompts } from './prompts.js';
import { Agent, AgentConfig } from '../utils/index.js';
export class VueDeveloperAgent extends Agent {
    constructor(context) {
        super(new AgentConfig(() => prompts, [
            new WriteFileFunction(),
            new ReadFileFunction(),
        ]), context);
    }
}
